
Foreman - Feature #31049

Add more reliable way to detect Foreman CA certificate

10/12/2020 02:47 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee:    

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8076

  

Description

As discussed in the PR, we rely on a setting, that happen to contain the CA cert, but it's not always guaranteed. It was suggested to

introduce a new setting pointing to this file explicitly.

Associated revisions

Revision 0d08d7a6 - 08/11/2021 03:22 PM - Kamil Szubrycht 

Fixes #31049 - Introduce server CA file setting

History

#1 - 10/12/2020 02:47 PM - Marek Hulán

- Related to Feature #30440: Simple & automatic host registration WF added

#2 - 10/14/2020 12:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8076 added

#3 - 06/04/2021 08:29 AM - Leos Stejskal

- Related to deleted (Feature #30440: Simple & automatic host registration WF)

#4 - 08/11/2021 03:22 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 08/11/2021 04:08 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|0d08d7a6ffeb267e4c38755bb68a48ae3f57da01.

#6 - 11/16/2021 10:57 AM - Amit Upadhye

- Category set to Settings
